Bug 459266 (CVE-2008-3443) - CVE-2008-3443 ruby: Memory allocation failure in Ruby regex engine (remotely exploitable DoS)
Summary: CVE-2008-3443 ruby: Memory allocation failure in Ruby regex engine (remotely ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-3443
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 461576 461578 461579 461580 461590 461591
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-15 13:59 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-13 15:21:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0895 normal SHIPPED_LIVE Moderate: ruby security update 2008-10-21 14:52:55 UTC
Red Hat Product Errata RHSA-2008:0896 normal SHIPPED_LIVE Moderate: ruby security update 2008-10-21 14:52:39 UTC
Red Hat Product Errata RHSA-2008:0897 normal SHIPPED_LIVE Moderate: ruby security update 2008-10-21 14:43:41 UTC

Description Jan Lieskovsky 2008-08-15 13:59:58 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3443 to
the following vulnerability:

The regular expression engine (regex.c) in Ruby 1.8.5 and earlier,
1.8.6 through 1.8.6-p286, 1.8.7 through 1.8.7-p71, and 1.9 through
r18423 allows remote attackers to cause a denial of service (infinite
loop and crash) via multiple long requests to a Ruby socket, related
to memory allocation failure, and as demonstrated against Webrick.

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-3443
http://www.milw0rm.com/exploits/6239

This issue affects all versions of the Ruby package as shipped
with the Red Hat Enteprise Linux 2.1, 3, 4, 5 and Fedora 8, 9 and 10.

Comment 12 Fedora Update System 2008-10-08 14:21:08 UTC
ruby-1.8.6.287-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ruby-1.8.6.287-2.fc8

Comment 13 Fedora Update System 2008-10-08 14:23:07 UTC
ruby-1.8.6.287-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ruby-1.8.6.287-2.fc9

Comment 14 Fedora Update System 2008-10-09 21:29:21 UTC
ruby-1.8.6.287-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-10-09 21:35:10 UTC
ruby-1.8.6.287-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.